Debian Bug report logs - #549076
live-helper: squeeze/sid debian-installer uses wrong kernel version

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Jorge Ibáñez <yosoymicerinos@yahoo.es>

Date: Wed, 30 Sep 2009 16:36:01 UTC

Severity: normal

Found in version live-helper/1.0.5-2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#549076; Package live-helper. (Wed, 30 Sep 2009 16:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jorge Ibáñez <yosoymicerinos@yahoo.es>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 30 Sep 2009 16:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jorge Ibáñez <yosoymicerinos@yahoo.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: squeeze/sid debian-installer uses wrong kernel version
Date: Wed, 30 Sep 2009 18:22:25 +0200
Package: live-helper
Version: 1.0.5-2
Severity: normal


When building an i386 (will try amd64 as well, probably fails also)
squeeze/sid live system
with debian installer support, installation fails due to modules not
present for running kernel.
The kernel/initrd installed is the same as lenny installer (2.6.26-2),
although it is downloaded by live-helper from the correct place:

http://ftp.fr.debian.org/debian/dists/squeeze/main/installer-i386/current/images/cdrom/

Using lenny d-i with squeeze/sid live system is not possible due to
squashfs format incompatibility,
(lenny uses 3.0 and squeeze/sid 4.0 version of squashfs tools) so
there's no way to run d-i for other than lenny branch.

The solution seems as simple as synchronizing the image kernel in the
repo with the modules
version already shipped for each branch.

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.5      Bootstrap a Debian system
ii  debootstrap                   1.0.19     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-8     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools        3.0.5-1                utilities for making and checking
ii  fakeroot          1.13                   Gives a fake root environment
ii  genext2fs         1.4.1-2.1              ext2 filesystem generator for embe
ii  genisoimage       9:1.1.9-1              Creates ISO-9660 CD-ROM filesystem
ii  grub              0.97-58                GRand Unified Bootloader (dummy pa
ii  memtest86+        2.11-3                 thorough real-mode memory tester
ii  mtd-tools         20090606-1             dummy package for transition purpo
ii  mtd-utils [mtd-to 20090606-1             Memory Technology Device Utilities
ii  mtools            4.0.10-1               Tools for manipulating MSDOS files
ii  parted            1.8.8.git.2009.07.19-5 The GNU Parted disk partition resi
ii  sudo              1.7.2p1-1              Provide limited super user privile
ii  syslinux          2:3.82+dfsg-4          utilities for the syslinux bootloa
ii  uuid-runtime      2.16.1-3               runtime components for the Univers
ii  win32-loader      0.6.10                 Debian-Installer loader for win32

-- no debconf information




Reply sent to daniel@debian.org:
You have taken responsibility. (Wed, 30 Sep 2009 20:36:07 GMT) Full text and rfc822 format available.

Notification sent to Jorge Ibáñez <yosoymicerinos@yahoo.es>:
Bug acknowledged by developer. (Wed, 30 Sep 2009 20:36:07 GMT) Full text and rfc822 format available.

Message #10 received at 549076-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Jorge Ibáñez <yosoymicerinos@yahoo.es>, 549076-done@bugs.debian.org
Subject: Re: Bug#549076: live-helper: squeeze/sid debian-installer uses wrong kernel version
Date: Wed, 30 Sep 2009 22:23:06 +0200
Jorge Ibáñez wrote:
> When building an i386 (will try amd64 as well, probably fails also)
> squeeze/sid live system
> with debian installer support, installation fails due to modules not
> present for running kernel.
> The kernel/initrd installed is the same as lenny installer (2.6.26-2),
> although it is downloaded by live-helper from the correct place:

this has nothing to do with live-helper, nothing we can do about here.

note that testing is a development branch of debian, and as such, can
have issues from time to time. if you need/want to rely on something
stable and cannot work arround it yourself, you might want to use stable
instead.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Oct 2009 08:14:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:59:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.